/* scroll-to-top.js v1.0 */
jQuery( function () {

	jQuery( '#footer' ).prepend( '<div class="scroll-top"></div>');

	var scrollButtonEl = jQuery( '.scroll-top' );

	

	scrollButtonEl.click( function () {
		jQuery( "html, body" ).animate( { scrollTop: 0 }, 300 );
		return false;
	} );

} );


/**
 * Возвращает единицу измерения с правильным окончанием
 * 
 * @param {Number} num      Число
 * @param {Object} cases    Варианты слова {nom: 'час', gen: 'часа', plu: 'часов'}
 * @return {String}            
 */
function units(num, cases) {
    num = Math.abs(num);
    
    var word = '';
    
    if (num.toString().indexOf('.') > -1) {
        word = cases.gen;
    } else { 
        word = (
            num % 10 == 1 && num % 100 != 11 
                ? cases.nom
                : num % 10 >= 2 && num % 10 <= 4 && (num % 100 < 10 || num % 100 >= 20) 
                    ? cases.gen
                    : cases.plu
        );
    }
    
    return word;
}